from peewee import *
from datetime import datetime


db = SqliteDatabase('data/sqlite.db')

class Post(Model):
    id = AutoField()
    title = CharField()
    subtitle = CharField()
    # submitter = ForeignKeyField(Profile, field=Profile.username)
    submitter = CharField()
    image_name = CharField()
    readonly = BooleanField(default=False)
    hidden = BooleanField(default=False)
    account_index = IntegerField()
    address_index = IntegerField()
    timestamp = DateTimeField(default=datetime.now)

    class Meta:
        database = db

class Profile(Model):
    id = AutoField()
    username = CharField()
    address = CharField()
    notifications = IntegerField()

    class Meta:
        database = db

class Comment(Model):
    id = AutoField()
    comment = TextField()
    commenter = ForeignKeyField(Profile, field=Profile.username)
    post = ForeignKeyField(Post, field=id)
    timestamp = DateTimeField(default=datetime.now)

    class Meta:
        database = db

class Notification(Model):
    type = CharField()
    message = TextField()
    username = ForeignKeyField(Profile, field=Profile.username)
    timestamp = DateTimeField(default=datetime.now)

    class Meta:
        database = db
